package com.house365.ws.system;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.house365.beans.system.Page;

/**
 * TOPAPI查询基础响应信息。
 */
public class House365SearchResponse<T> implements java.io.Serializable
{
	/**
     * 
     */
	private static final long serialVersionUID = 1L;
	/**
	 * 错误代码 1表示成功，0表示失败
	 */
	private String resultCode;
	/**
	 * 错误信息
	 */
	private String resultMessage = "";
	/**
	 * 分页
	 */
	private Page paging = new Page();

	/**
	 * 原始查询条件
	 */
	/* private Map<String, Object> searchParams = new HashMap(); */
	
	/**
	 * 返回给前台的出参容器
	 */
	private Map<String,Object> resultMap = new HashMap<String,Object>();

	public Map<String, Object> getResultMap() {
		return resultMap;
	}

	public void setResultMap(Map<String, Object> resultMap) {
		this.resultMap = resultMap;
	}

	/**
	 * 返回的实体对象列表
	 */
	private List<T> objectList;

	/**
	 * 
	 * @return resultCode
	 */
	public String getResultCode()
	{
		return resultCode;
	}

	/**
	 * 
	 * @return resultMessage
	 */
	public String getResultMessage()
	{
		return resultMessage;
	}

	/**
	 * 
	 * @param resultCode
	 *            resultCode
	 */
	public void setResultCode(String resultCode)
	{
		this.resultCode = resultCode;
	}

	/**
	 * 
	 * @param resultMessage
	 *            resultMessage
	 */
	public void setResultMessage(String resultMessage)
	{
		this.resultMessage = resultMessage;
	}

	public Page getPaging() {
		return paging;
	}

	public void setPaging(Page paging) {
		this.paging = paging;
	}

	/*
	 * public Map<String, Object> getSearchParams() { return searchParams; }
	 * 
	 * public void setSearchParams(Map<String, Object> searchParams) {
	 * this.searchParams = searchParams; }
	 */

	public List<T> getObjectList() {
		return objectList;
	}

	public void setObjectList(List<T> objectList) {
		this.objectList = objectList;
	}

}